[script]
n0=on *:connect: {
n1=  if (!%nick.cur) reg.nick
n2=  if (%autoident.on.connect == on) && (%nick.cur) { 
n3=    .nick %nick. [ $+ [ %nick.cur ] ]
n4=    .msg NickServ identify %nick.pass. [ $+ [ %nick.cur ] ]
n5=  }
n6=  if (%autojoin.chans) .timer 1 1 join %autojoin.chans 
n7=  .timer 2 1 join %join.chans
n8=}
n9=raw 703:*: haltdef
n10=raw 408:*: { .msg $2 $strip($12-) | haltdef | if (!$dialog(error)) { set %err.w 150 | set %err.h 45 | set %err.b.x 58 | set %err.b.y 30 | set %err.msg На этом канале запрещены цвета! $cr $+ Ваше сообщение было послано без цветов. | error } }
n11=;raw 315:*: haltdef
n12=on ^*:op:#: if ($opnick == $me) && (%sound == on) splay $shortfn($mircdir) $+ sys\sounds\op.wav
n13=on *:nick: {
n14=  if ($nick == $me) {
n15=    if (%autoident.on.guest == on) && (Guest isin $newnick) && ($mid($newnick,6,1) isnum) {
n16=      .nick %nick. [ $+ [ %nick.cur ] ]
n17=      .msg NickServ identify %nick.pass. [ $+ [ %nick.cur ] ]
n18=    }
n19=    if (%register.nick) {
n20=      .msg NickServ register %pass.to.reg %email.to.reg
n21=      .msg NickServ set language 1
n22=      unset %register.nick
n23=      unset %email.to.reg
n24=    }
n25=    if (%drop.nick) {
n26=      .msg NickServ drop %drop.nick.pass
n27=      unset %drop.nick.pass
n28=      unset %drop.nick
n29=    }
n30=  }
n31=}
n32=alias nick.ins {
n33=  if (%nick.ins == 1) query $snick($chan,1)
n34=  if (%nick.ins == 2) { editbox -ap $editbox($active) $+ $replace(%nick.ins.text,nick,$snick(#,1)) | showmirc -s }
n35=}
n36=alias error { 
n37=  if (!$dialog(error)) dialog -ma error error
n38=  else { dialog -x error | dialog -ma error error }
n39=}
n40=dialog error {
n41=  option dbu
n42=  size -1 -1 %err.w %err.h
n43=  title "Ошибка!"
n44=  text "", 1, 28 7 145 33
n45=  button "OK", 2, %err.b.x %err.b.y 34 11, ok, default
n46=  icon 3, 5 8 32 32, $shortfn($mircdir) $+ sys\ico\err.ico
n47=}
n48=on *:dialog:error:init:*: {
n49=  if (No such nick/channel isin %err.msg) did -a $dname 1 Нет такого ника $gettok(%err.msg,1,32)
n50=  elseif (Nickname is registered to someone else isin %err.msg) did -a $dname 1 Ник зарегистрирован кем-то еще. $cr $+ Вы не можете его использовать.
n51=  elseif (Nickname is already in use isin %err.msg) did -a $dname 1 Ник $gettok(%err.msg,1,32) используется кем-то еще. $cr $+ Вы не можете его использовать.
n52=  elseif (Erroneous Nickname isin %err.msg) did -a $dname 1 Ник содержит недопустимые символы.
n53=  else did -a $dname 1 %err.msg
n54=  unset %err.msg
n55=  unset %err.w
n56=  unset %err.h
n57=  unset %err.b.x
n58=  unset %err.b.y
n59=}
n60=alias inform dialog -ma inform inform
n61=dialog inform {
n62=  option dbu
n63=  size -1 -1 170 46
n64=  title ""
n65=  text "", 1, 30 8 127 21
n66=  button "OK", 2, 68 31 34 11, ok, default
n67=  icon 3, 5 8 32 32, $shortfn($mircdir) $+ sys\ico\info.ico
n68=}
n69=on *:dialog:inform:init:*: {
n70=  did -a $dname 1 %info.msg
n71=  unset %info.msg
n72=}
n73=on @*:MODE:#: if ($nick != $me) && ($chan != $active) echo 2 -at * $nick изменил режим канала $chan : $1-
n74=on *:ctcpreply:version*: {
n75=  if ($2 == eggdrop) echo $color(ctcp) -ta * $nick - это бот $2-
n76=  else echo $color(ctcp) -ta * $nick использует: $2
n77=}
n78=on *:ctcpreply:ping*: echo $color(ctcp) -ta * Пинг $nick $+ : $iif($2 isnum,$duration($calc($ctime - $2)),$2-)
n79=on *:ctcpreply:time*: echo $color(ctcp) -ta * У $nick сейчас: $2-
n80=}
n81=
n82=alias _comchan {
n83=unset %chans
n84=set %count 1
n85=while ($comchan($1,0) >= %count) {
n86=  set %chans %chans $+ , $+ $chr(32) $+ $comchan($1,%count) 
n87=  inc %count
n88=}
n89=return $right(%chans,$calc($len(%chans) - 1))
n90=}
n91=
n92=alias massmode {
n93=var %var.count 0
n94=var %var.nicks 1
n95=var %var.itemp
n96=var %cmode $right($$2,1)
n97=var %var.itemp 1
n98=while (%var.itemp <= $modespl) {
n99=  set %temp.cmodes %temp.cmodes $+ %cmode
n100=  inc %var.itemp
n101=}
n102=var %var.nicks 1
n103=while ($gettok($3-,%var.nicks,44)) {
n104=  inc %var.count
n105=  inc %var.nicks
n106=}
n107=while ($gettok($3-,%var.nicks,44)) {
n108=  inc %var.count
n109=  inc %var.nicks
n110=}
n111=var %var.nicks 1
n112=while (%var.count > 0) {
n113=  var %var.temp 0
n114=  while (%var.temp < $modespl) {
n115=    set %temp.opnicks %temp.opnicks $gettok($3-,%var.nicks,44)
n116=    inc %var.temp
n117=    inc %var.nicks
n118=  }
n119=  var %var.nicks 1
n120=  while (%var.count > 0) {
n121=    var %var.temp 0
n122=    unset  %temp.opnicks
n123=    while (%var.temp <= 5) {
n124=      set %temp.opnicks %temp.opnicks $gettok($3-,%var.nicks,44)
n125=      inc %var.temp
n126=      inc %var.nicks
n127=    }
n128=    var %var.count $calc(%var.count - $modespl)
n129=    mode $$1 $left($2,1)) $+ %temp.cmodes %temp.opnicks
n130=  }
n131=}
n132=unset %temp.cmodes %temp.opnicks
n133=}
n134=alias day {
n135=if ($day == Monday) set %day Понедельник
n136=if ($day == Tuesday) set %day Вторник
n137=if ($day == Wednesday) set %day Среда
n138=if ($day == Thursday) set %day Четверг
n139=if ($day == Friday) set %day Пятница
n140=if ($day == Saturday) set %day Суббота
n141=if ($day == Sunday) set %day Воскресенье
